Page MenuHomePhabricator

Clear VE autosave when making changes in 2010 editor
Closed, ResolvedPublic1 Story Points

Description

If you switch from VE to 2010WTE mid-edit (or navigate to the 2010 editor in some other way), your auto-saved changes are never discarded, even if you save changes in the 2010 editor.

Event Timeline

Esanders created this task.Mar 10 2018, 5:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2018, 5:51 PM

Change 418597 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Clear auto-save when switching to fallback wikitext editor

https://gerrit.wikimedia.org/r/418597

Esanders triaged this task as High priority.Mar 10 2018, 6:06 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 418599 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Clear VE autosave whenever WikiEditor is loaded

https://gerrit.wikimedia.org/r/418599

Deskana set the point value for this task to 1.
Deskana added a subscriber: Deskana.

This will need backporting and SWAT deploying, too.

Change 418597 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Clear auto-save when switching to fallback wikitext editor

https://gerrit.wikimedia.org/r/418597

Change 418599 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Clear VE autosave whenever WikiEditor is loaded

https://gerrit.wikimedia.org/r/418599

Change 419501 had a related patch set uploaded (by Bartosz Dziewoński; owner: Esanders):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.24] Clear auto-save when switching to fallback wikitext editor

https://gerrit.wikimedia.org/r/419501

Change 419503 had a related patch set uploaded (by Bartosz Dziewoński; owner: Esanders):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.24] Clear VE autosave whenever WikiEditor is loaded

https://gerrit.wikimedia.org/r/419503

Change 419504 had a related patch set uploaded (by Bartosz Dziewoński; owner: Esanders):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.25] Clear auto-save when switching to fallback wikitext editor

https://gerrit.wikimedia.org/r/419504

Change 419505 had a related patch set uploaded (by Bartosz Dziewoński; owner: Esanders):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.25] Clear VE autosave whenever WikiEditor is loaded

https://gerrit.wikimedia.org/r/419505

Esanders claimed this task.Mar 14 2018, 9:42 PM

Change 419503 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.24] Clear VE autosave whenever WikiEditor is loaded

https://gerrit.wikimedia.org/r/419503

Change 419504 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.25] Clear auto-save when switching to fallback wikitext editor

https://gerrit.wikimedia.org/r/419504

Change 419505 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.25] Clear VE autosave whenever WikiEditor is loaded

https://gerrit.wikimedia.org/r/419505

Change 419501 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.24] Clear auto-save when switching to fallback wikitext editor

https://gerrit.wikimedia.org/r/419501

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-03-15T00:02:20Z] <tgr@tin> Synchronized php-1.31.0-wmf.24/extensions/VisualEditor/modules/ve-mw: VE fixes: T189267, T189381 (duration: 01m 16s)

Mentioned in SAL (#wikimedia-operations) [2018-03-15T00:03:46Z] <tgr@tin> Synchronized php-1.31.0-wmf.25/extensions/VisualEditor/modules/ve-mw: VE fixes: T189267, T189381 (duration: 01m 15s)

matmarex closed this task as Resolved.Mar 15 2018, 12:57 AM
matmarex removed a project: Patch-For-Review.

The fixes are live on all Wikimedia wikis now.

If you notice any related issues remaining, please file separate tasks. T189337: Visual Editor: "Changes recovered: Your unsaved changes have been automatically recovered." - creates edit conflicts that are NOT detected and allows subsequent edits to be lost! is the only remaining autosave issue we're still investigating.